package com.ffii.core.department.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.entity.BaseEntity;

@Entity
@Table(name = "department")
public class Department extends BaseEntity<Integer> {

  // #App
  public static final int CASE_ORDER_BY_DATE = 0;
  public static final int CASE_ORDER_BY_PRIORITY = 1;
  public static final int CASE_ORDER_BY_SEVERITY = 2;

  // #App
  public static final int VIEW_TYPE_OWN_DEPT = 0;
  public static final int VIEW_TYPE_ALL_DEPT = 1;
  public static final int VIEW_TYPE_EQ_TYPE = 2;

  @Column
  private String name;

  @Column
  private String description;

  @Column
  private Integer viewType;

  @Column
  private Integer caseOrderBy;

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Integer getViewType() {
    return viewType;
  }

  public void setViewType(Integer viewType) {
    this.viewType = viewType;
  }

  public Integer getCaseOrderBy() {
    return caseOrderBy;
  }

  public void setCaseOrderBy(Integer caseOrderBy) {
    this.caseOrderBy = caseOrderBy;
  }

}